<?php

return [
    'authentication' => [
        'client_id' => '327cfc5251974a2cad6db18c36222473',
        'client_secret' => '578BddDC936f4ae999aA899049DEfeDB',
        'grant_type' => 'CLIENT_CREDENTIALS',
    ],
    'endpoints' => [
        'token' => 'http://ts-nndl-mule-oauth-process-1-0-dev.de-c1.eu1.cloudhub.io/token/',
        'delegate' => 'http://ts-nndl-customer-search-engage-sys-1-0-dev.de-c1.eu1.cloudhub.io/customers/',
        'search' => 'http://nn-getsearch-api.de-c1.eu1.cloudhub.io/search',
        'meeting' => 'http://ts-nndl-meeting-engage-sys-1-0-dev.de-c1.eu1.cloudhub.io/meeting',
    ],
    'parameters' => [
        'search' => [
            'Address',
            'Company',
            'Country',
            'County',
            'Email',
            'FirstName',
            'JobTitle',
            'KeyContact',
            'LastName',
            'Name',
            'Page',
            'PerPage',
            'Postcode',
            'Region',
        ],
        'meeting' => [
            'CountryCode',
            'DelegateStatus',
            'EventEndDateTime',
            'EventStartDateTime',
            'EventUrl',
            'InvitationStatus',
            'MeetID',
            'MeetingChannel',
            'MeetingStatus',
            'MileStone', // mile stone? r u okay?
            'OneKeyId',
            'Source',
            'SubType',
            'SubTypeActivity',
        ],
    ],

    // MeetingType >> Subtype >> SubtypeActivity
    'MeetingType' => [
        'meeting-without-approval' => [
            'label' => 'Meeting without Approval',
            'subtype' => [
                'staff-meeting' => [
                    'label' => 'Staff Meeting',
                    'subtype-activity' => [],
                ],
                'round-table' => [
                    'label' => 'Round Table',
                    'subtype-activity' => [],
                ],
                'workshops' => [
                    'label' => 'Workshops',
                    'subtype-activity' => [],
                ],
                'medical-education' => [
                    'label' => 'Medical Education',
                    'subtype-activity' => [],
                ],
                'sponsoring' => [
                    'label' => 'Sponsoring',
                    'subtype-activity' => [],
                ],
            ],
        ],
        'meeting-with-approval' => [
            'label' => 'Meeting with Approval',
            'subtype' => [
                'clinical-activities' => [
                    'label' => 'Clinical Activities',
                    'subtype-activity' => [
                        'investigator-meeting' => 'Investigator Meeting',
                        'panel-meeting' => 'Panel Meeting',
                        'results-meeting' => 'Results Meeting',
                        'survey-rwd-activity' => 'Survey/RWD Activity',
                        'other' => 'Other Clinical Activities',
                    ],
                ],
                'kol-engagement-activities' => [
                    'label' => 'KOL Engagement Activities',
                    'subtype-activity' => [
                        'advisory-boards' => 'Advisory Boards',
                        'competencies-program' => 'Competencies Program',
                        'consultancy' => 'Consultancy',
                        'speaker-training' => 'Speaker Training',
                        'other' => 'Other KOL engagement activities',
                    ],
                ],
                'clinical' => [
                    'label' => 'Clinical',
                    'subtype-activity' => [
                        'investigator' => 'Investigator',
                    ],
                ],
            ],
        ],
    ],
];
